component: Tof
proto_imports:
  - vehicle/tof_gateway/diagnostics/tof_diagnostics.proto
metric: TofMetric
namespace: zoox::tof
faults:
  # Deprecated.
  - id: 1
    name: TimeSynchronization
    severity: WARNING
    description: Time synchronization issue, camera clock is too far offset from system clock. Check PTP status.
    freeze_frame: TimeSyncFreezeFrame
    deprecated: True

